import request from '@/utils/request'

// 查询批量新增用户脚本列表
export function listBatchAddUser(query) {
  return request({
    url: '/cai/batchAddUser/list',
    method: 'get',
    params: query
  })
}

// 查询批量新增用户脚本详细
export function getBatchAddUser(id) {
  return request({
    url: '/cai/batchAddUser/' + id,
    method: 'get'
  })
}

// 新增批量新增用户脚本
export function addBatchAddUser(data) {
  return request({
    url: '/cai/batchAddUser',
    method: 'post',
    data: data
  })
}

// 修改批量新增用户脚本
export function runBatchAddUser(data) {
  return request({
    url: '/cai/batchAddUser/run',
    method: 'put',
    data: data
  })
}

// 删除批量新增用户脚本
export function delBatchAddUser(id) {
  return request({
    url: '/cai/batchAddUser/' + id,
    method: 'delete'
  })
}
